OpenNMS API 1.2.9

## org.opennms.netmgt.config.collectd
Class SystemDef

    java.lang.Object
      org.opennms.netmgt.config.collectd.SystemDef

All Implemented Interfaces:
  java.io.Serializable

public class SystemDef
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private Collect` `_collect`
`private IpList` `_ipList`
`private java.lang.String` `_name`
`private SystemDefChoice` `_systemDefChoice`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`SystemDef()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Collect` `getCollect()` Returns the value of field 'collect'.
`IpList` `getIpList()` Returns the value of field 'ipList'.
`java.lang.String` `getName()` Returns the value of field 'name'.
`SystemDefChoice` `getSystemDefChoice()` Returns the value of field 'systemDefChoice'.
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setCollect(Collect collect)` Sets the value of field 'collect'.
`void` `setIpList(IpList ipList)` Sets the value of field 'ipList'.
`void` `setName(java.lang.String name)` Sets the value of field 'name'.
`void` `setSystemDefChoice(SystemDefChoice systemDefChoice)` Sets the value of field 'systemDefChoice'.
`static SystemDef` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _name

    private java.lang.String _name

### _systemDefChoice

    private SystemDefChoice _systemDefChoice

### _ipList

    private IpList _ipList

### _collect

    private Collect _collect

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### SystemDef

    public SystemDef()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getCollect

    public Collect getCollect()

  Returns the value of field 'collect'.

  Returns:
    the value of field 'collect'.

### getIpList

    public IpList getIpList()

  Returns the value of field 'ipList'.

  Returns:
    the value of field 'ipList'.

### getName

    public java.lang.String getName()

  Returns the value of field 'name'.

  Returns:
    the value of field 'name'.

### getSystemDefChoice

    public SystemDefChoice getSystemDefChoice()

  Returns the value of field 'systemDefChoice'.

  Returns:
    the value of field 'systemDefChoice'.

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setCollect

    public void setCollect(Collect collect)

  Sets the value of field 'collect'.

  Parameters:
    `collect` - the value of field 'collect'.

### setIpList

    public void setIpList(IpList ipList)

  Sets the value of field 'ipList'.

  Parameters:
    `ipList` - the value of field 'ipList'.

### setName

    public void setName(java.lang.String name)

  Sets the value of field 'name'.

  Parameters:
    `name` - the value of field 'name'.

### setSystemDefChoice

    public void setSystemDefChoice(SystemDefChoice systemDefChoice)

  Sets the value of field 'systemDefChoice'.

  Parameters:
    `systemDefChoice` - the value of field 'systemDefChoice'.

### unmarshal

    public static SystemDef unmarshal(java.io.Reader reader)
                               throws org.exolab.castor.xml.MarshalException,
                                      org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.